const express = require("express");
const { getArticlesSalesHandler, exportArticlesSalesByJSON, viewTable, saveTable, queryTable, updateAllBookRoute, mssqlmigrateTables } = require("../controllers/articleController");
const { authenticate } = require("../middleware/authenticate");

const router = express.Router();

router.post("/articles-sales", authenticate, getArticlesSalesHandler);

router.post("/export-articles-sales-json", authenticate, exportArticlesSalesByJSON);

router.post("/view-table", authenticate, viewTable);
router.post("/save-table", authenticate, saveTable);
router.post("/query", authenticate, queryTable);
router.post("/updateAllBook", authenticate, updateAllBookRoute);

router.post("/mssqlmigrateTables", authenticate, mssqlmigrateTables);


module.exports = router;
